Plesk 10.3.1 How to Update Horde 3 -> 4

Discussion in 'Parallels Plesk Panel 10.x for Linux Problems, Suggested Fixes, and How-To' started by Christian Schopf, Oct 16, 2011.

  1. Christian Schopf

    Christian Schopf New Member

    Messages:
    11
    Hi Guy,
    First of all sorry for my bad english, but i will try to shape my problems comprehensible.
    I am running Plesk Panel 10.3.1 on a Dedicated Virtual Server (Ubuntu 10.4 LTS).
    Plesk shows me that Horde 4.3 shall be installed. But when I log into my Webmail and compare the version it s running 3.x

    Here are screenshots

    Horde version installed:

    [​IMG]


    Horde version running:

    [​IMG]

    Now i know there are security problems with horde 3.
    Further Horde 4 has in my opinion better usability. (And it looks better Ajax *arrrr*)

    I searched a few days to resolve the problem, but i only found a post here where someone said that I have to run some sql files from /usr/share/psa-horde/....../sql
    The site of the horde project doesnt help, too.
    Instead of a upgrade manual they only say that horde 4 uses now a framework doesnt updating with sql statements anymore. (This is the reason i didnt tried the sql hint)
    In another Forum i heard that a manual update of horde will solve the problem.
    I tried this with SSH (apt-get upgrade psa-horde)
    This didnt worked, too.

    Now... Can someone help me updating Horde from 3 to version 4?
    Or can someone say me when an autoinstall version of Horde 4 will be available?
    (autoinstall seems like only ve version 3)

    greets

    Christian Schopf
  2. IgorG

    IgorG Parallels Team

    Messages:
    16,021
    Try to upgrade all installed components with

    # /usr/local/psa/admin/sbin/autoinstaller --select-release-current --upgrade-installed-components
  3. Christian Schopf

    Christian Schopf New Member

    Messages:
    11
    First of all thanks for your fast help.

    Unfortunately it didnt worked.

    Any possibility to remove and install it without the autoinstaller?

    greetz

    Christian Schopf
  4. IgorG

    IgorG Parallels Team

    Messages:
    16,021
  5. Christian Schopf

    Christian Schopf New Member

    Messages:
    11
    So am I understanding the tech-support right?
    You tell me that 10.3.1 is delivered with Horde 3.3 so i cant update with
    the autoinstaller?

    Then Plesk should remove horde completely from Plesk.
    Horde 3.3 is a big security risk.

    So can anyone tell me how to remove Horde correct from plesk
    and how to install it manual?

    greetz Christian Schopf
  6. IgorG

    IgorG Parallels Team

    Messages:
    16,021
    You can completely remove Horde from Plesk with

    # rpm -e psa-horde psa-imp psa-ingo psa-kronolith psa-mimp psa-mnemo psa-turba psa-passwd

    But you can install Horde only from Plesk distribution kit. We can't guarantee correct Horde and Plesk operation if you install Horde from any other source.
  7. Christian Schopf

    Christian Schopf New Member

    Messages:
    11
    So if Parallels "supports" Horde 3,
    when they want to fix the securiry issues from Horde 3?
    When they want to release Psa for Horde4?

    Greetz Christian Schopf
  8. IgorG

    IgorG Parallels Team

    Messages:
    16,021
  9. Christian Schopf

    Christian Schopf New Member

    Messages:
    11
    Thats a word.
    Do you know when they re planning a Stable Release?

    greetz

    Chris
  10. IgorG

    IgorG Parallels Team

    Messages:
    16,021
    I haven't any ETA.
  11. sergius

    sergius Parallels Team

    Messages:
    1,911
    Hi, Chris. Stable Release is expected about one or two months after GA.
  12. sergius

    sergius Parallels Team

    Messages:
    1,911
    Hi, Chris. Plesk ships patched Horde 3. Please tell us if you are aware about any security issues with Horde in Plesk. Thanks.
  13. hook_xxx

    hook_xxx New Member

    Messages:
    1
    Yesterday I installed the new Plesk Update to 10.4.4 But there ist still Horde 3 an my System (Ubuntu), no Horde 4.2 was installed. Why? :)
  14. RS_Jelle

    RS_Jelle New Member

    Messages:
    46
    Same issue over here, though the use of version numbers is very confusing. Plesk is using the version numbers of Horde and its webmail program IMP inconsistently.

    4.3.9 (mentioned in the Plesk webmail section) is the version number of IMP, the webmail program included in Horde v3. Now there's Horde v4 with IMP v5.

    Older Plesk readme files said that Horde 3.3.10 was included, but in Plesk 10.4 it says Horde 4.2 will be included. That's impossible as the latest release of Horde is 4.0.11.

    Now, will we get Horde v4(.0.11) with Plesk 10.4?
  15. Christian Schopf

    Christian Schopf New Member

    Messages:
    11
    So this is the reason for this picture?

    damnplesk.png

    And if i dont want to accept, that Plesk needs much longer to update their commercial Software (from 10.3.x to 10.3.y) than Horde needs to release new full revised stable releases (Horde 4 or 5) i can only delete psa-Horde
    with
    and install and configure standalone Horde. But then there is no support from Parallels... i.E. for configure their old software for the new/new-old stable releases of horde.....?

    AND there is no answer about why hook_xx's Plesk 10.4.4 doesnt has Horde 4.2...

    Please confirm this or remark to this topic.

    Thanks.

    Chris
  16. IgorG

    IgorG Parallels Team

    Messages:
    16,021
  17. Christian Schopf

    Christian Schopf New Member

    Messages:
    11
    xD Great so instead of updating psa-horde plugin we will stay on 3.3 ....
    omfg.... *ironic* Great Support, Great Work Parallels please ship plesk without plugins if u arent able to hold your plugins up to date......
  18. Daniel H

    Daniel H New Member

    Messages:
    52
    yeah... this is really great... i can't awaiting to getting imp 5 (horde 4.011) with ajax interface and now... we have to wait for how long??? until plesk 11 in a year or two??


    oh oh...

    ps. since 05.december 2010 also awstats 7.0 is available... don't know about the changes but currently, plesk ships with awstats 6.95...
  19. DerrickH

    DerrickH Bit Poster

    Messages:
    34
    Can't we just remove the psa-horde package and install horde 4? or will that break it if it is not a plesk "psa-horde" package?
  20. IgorG

    IgorG Parallels Team

    Messages:
    16,021
    I think that Plesk will not found your custom unsupported Horde installation and as result Horde will not be integrated to Plesk interface.

Share This Page